%define module_name Tk-JPEG-Lite
BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: libjpeg-devel perl(Devel/CheckLib.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Tk.pm) perl(Tk/MMutil.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.015
Release: alt8
Summary: lite JPEG loader for Tk::Photo
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SR/SREZIC/%{module_name}-%{version}.tar.gz

%description
From summary: %%summary

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release
BuildArch: noarch

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%files scripts
%_bindir/*
%_man1dir/*


%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 2.015-alt8
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 2.015-alt7
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.015-alt6.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 2.015-alt5.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 2.015-alt5
- rebuild with perl 5.26

* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 2.015-alt4
- updated summary

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 2.015-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 2.015-alt2.1
- rebuild with perl 5.22

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 2.015-alt2
- rebuild to get rid of unmets

* Mon May 05 2014 Igor Vlasenko <viy@altlinux.ru> 2.015-alt1
- initial import by package builder

